<?php
require_once(dirname(__FILE__) . '/components/header.php');
$favicon = 'https://techmetrica.com/trustresource/images/logo/' . $trust_code . '_favicon.ico';
require_once(dirname(__FILE__) . '/includes/getFunctions.php');
require_once(dirname(__FILE__) . '/includes/Common.php');
require_once(dirname(__FILE__) . '/settings/settings.php');
$dbget = new getFunctions();
$common = new Common();
$sett = new settings();
$trust_code = $settings->getTrustCode();
$server_name = $settings->getServerName();
$favicon = trim('https://'.$server_name.'/'.'images/'.'logo/'.$trust_code .'_favicon.ico');
$trustData = $dbget->getTrustDetails($trust_code, $server_name);
$missionVision = $dbget->getMissionVision($trust_code, $server_name);
$mBanner = $dbget->getTrustBanner($trust_code, $server_name);
$trustee_profile = $dbget->getTrusteeDetails($trust_code, $server_name);
$trust_scope = $dbget->getTrustScope($trust_code, $server_name);
$trust_event = $dbget->getEventAndActivity($trust_code, $server_name);
//print_r($missionVision);

?>

<!-- Slider Section -->
<section class="slider">
  <div class="slides">
    <div class="slide active">
      <img src="<?php echo $mBanner[0]['banner_path']; ?>" alt="Award Ceremony">
    </div>
    <div class="slide">
      <img src="<?php echo $mBanner[1]['banner_path']; ?>" alt="Community Event">
    </div>
    <div class="slide">
      <img src="<?php echo $mBanner[2]['banner_path']; ?>" alt="School Program">
    </div>
    <div class="slide">
      <img src="<?php echo $mBanner[3]['banner_path']; ?>" alt="School Program">
    </div>
  </div>
  <button class="prev" onclick="changeSlide(-1)">&#10094;</button>
  <button class="next" onclick="changeSlide(1)">&#10095;</button>
</section>

<section class="action-section">
  <div class="action-card">
    <div class="icon-circle">👤</div>
    <h3>Become a Volunteer</h3>
    <p>Be the change you want to see in the world.</p>
    <a href="#">JOIN NOW →</a>
  </div>
  <div class="action-card">
    <div class="icon-circle">💰</div>
    <h3>Support Us</h3>
    <p>Every contribution has the power to change lives.</p>
    <a href="#">DONATE NOW →</a>
  </div>
  <div class="action-card">
    <div class="icon-circle">🤝</div>
    <h3>Become a Partner</h3>
    <p>Collaborate with us to amplify the impact.</p>
    <a href="#">LEARN MORE →</a>
  </div>
</section>






<section class="Initiative">
  <div class="mission-vision-title">
    <h3>Our Mission and Vision</h3>
  </div>
  <div class="animated-box-container">
    <!-- Mission Section -->
    <div class="content-container">
      <div class="content-text">
        <h4>Our Mission</h4>
        <p>
          <?php echo !empty($missionVision[0]['mission_statement']) ? $missionVision[0]['mission_statement'] : 'mission_statement'; ?>
        </p>
      </div>
      <div class="content-image">
        <img src="<?php echo $missionVision[0]['mission_img_path']; ?>" alt="Mission Image" />
      </div>
    </div>

    <!-- Vision Section -->
    <div class="content-container">
      <div class="content-image">
        <img src="<?php echo $missionVision[0]['vision_img_path']; ?>" alt="Vision Image" />
      </div>
      <div class="content-text">
        <h4>Our Vision</h4>
        <?php echo !empty($missionVision[0]['vision_statement']) ? $missionVision[0]['vision_statement'] : 'vision_statement'; ?>

      </div>
    </div>
  </div>
</section>



<section id="experts">
  <h1>Meet Our Trustee</h1>
  <p>Meet our trustee, who is contributing to the development of our community. They are working alongside our mission
    and vision to help make society better.</p>
  <div class="expert_box">
    <?php
    if (isset($trustee_profile) && !empty($trustee_profile)) {
      foreach ($trustee_profile as $trustee) {
        ?>
        <div class="profile">
          <img src="<?php echo htmlspecialchars($trustee['trustee_image_path']); ?>"
            alt="<?php echo htmlspecialchars($trustee['trustee_name']); ?>">
          <h3><?php echo htmlspecialchars($trustee['trustee_name']); ?></h3>
          <p> <?php echo htmlspecialchars($trustee['trustee_role']); ?> </p>
          <div class="Pro_link">
            <i class="fab fa-facebook"></i>
            <i class="fab fa-instagram"></i>
            <i class="fab fa-linkedin-in"></i>
          </div>
        </div>
        <?php
      }
    } else {
      echo "<p>No Faculty Data Found</p>";
    }
    ?>
  </div>
</section>

<section class="why-choose-us">
  <div class="whycontainer">
    <div class="heading-section">
      <h2>Trust Work Scope</h2>
      <p>Using creative and modern approaches to identify and nurture talent..</p>
    </div>
    <div class="features-grid">
      <?php

      for ($i = 0; $i < count($trust_scope); $i++) { {
          ?>
          <div class="feature-box">
            <a href="<?php echo $trust_scope[$i]['work_page_details']; ?>" class="ChooseUs">
              <div class="feature-number"><?php echo $i+1; ?></div>
              <h3><?php echo $trust_scope[$i]['work_scope']; ?></h3>
              <p><?php echo $trust_scope[$i]['work_scope_details']; ?></p>
            </a>
          </div>
        <?php
        }
      }
      ?>
    </div>
  </div>
</section>


<section class="donated-banner">
  <div class="donated_container">
    <div class="donated-content">
      <p class="donated-text">Helping the Homeless, Hungry, and Hurting Children</p>
      <a href="DonationPage.php" class="donated-button">Donate Now</a>
    </div>
  </div>
</section>


<section class="LatestProjects">
  <h1 class="center-text">Empowering Lives, Enabling Change</h1>
  <p class="center-text">Our Comprehensive Services Aligned Towards Building a Better Tomorrow</p>
  <div class="cards">
    <?php
    for ($i = 0; $i < count($trust_event); $i++) {
      ?>
      <a href="<?php echo $trust_event[$i]['event_page_details']; ?>" class="card-link">
        <div class="card">
          <img src="<?php echo $trust_event[$i]['img_path']; ?>" alt="Project Image">
          <h3><?php echo $trust_event[$i]['event_name']; ?></h3>
        </div>
      </a>
    <?php
    }
    ?>
  </div>
</section>


<section class="donated-banner">
  <div class="donated_container">
    <div class="donated-content">
      <p class="donated-text">Helping the Homeless, Hungry, and Hurting Children</p>
      <a href="DonationPage.php" class="donated-button">Donate Now</a>
    </div>
  </div>
</section>

<?php
require_once(dirname(__FILE__) . '/components/footer.php');
?>